@ECHO OFF
CLS
ECHO                        WebANSI Publisher 1.0 Demo
ECHO         (C) Copyright 1995-97  Innovative Software Creation
ECHO              PO Box 184, Fountain City, WI 54629-0184  USA
ECHO    E-Mail: webansi@gwas.com  Web: http://gwas.com/webap/index.html
ECHO.
ECHO                     Installation Batch File
ECHO.
ECHO.

REM Look for missing file
IF NOT EXIST WEBAPDX.EXE GOTO ShowError

REM Look for a drive letter
IF "%1" == "" GOTO CDrive

REM Look for bad drive letter
IF NOT EXIST %1\nul GOTO ShowError
ECHO Ready to install WebANSI Publisher Version 1.0 Demo to %1\WEBAP
ECHO.
ECHO To cancel the installation, press CTRL+C now or
PAUSE
CLS
ECHO Installing WebANSI Publisher Version 1.0 to the hard drive
ECHO.
ECHO One moment please...
ECHO.
WEBAPDX.EXE %1\WEBAP
ECHO.
ECHO Installation of the WebANSI Publisher program is complete.
ECHO.
ECHO Type WEBAP and press ENTER to start the program.
ECHO.
ECHO.
PAUSE
CD %1\WEBAP
%1
GOTO GoodEnd

REM No drive parameter, use C:
:CDrive
ECHO Ready to install WebANSI Publisher Version 1.0 Demo to C:\WEBAP
ECHO.
ECHO To cancel the installation, press CTRL+C now or
PAUSE
CLS
ECHO Installing WebANSI Publisher Version 1.0 to the hard drive
ECHO.
ECHO One moment please...
ECHO.
WEBAPDX.EXE C:\WEBAP
ECHO.
ECHO Installation of the WebANSI Publisher program is complete.
ECHO.
ECHO Type WEBAP and press ENTER to start the program.
ECHO.
ECHO.
PAUSE
CD %1\WEBAP
%1
GOTO GoodEnd

:ShowError
ECHO 
ECHO Installation error!
ECHO.
ECHO In order to install the WebANSI Publisher program you must be on the
ECHO floppy drive or in the same directory as the self-extracting file.
ECHO           You must also specify the drive letter to use.
ECHO           DO NOT INCLUDE THE "\" AFTER THE DRIVE LETTER!
ECHO.
ECHO Please do the following steps to install the ANSI Publisher program:
ECHO.
ECHO        1) Type A: and press ENTER.
ECHO        2) Type INSTALL C: and press ENTER.
ECHO                    OR
ECHO        1) Type CD C:\TEMP and press ENTER.
ECHO        2) Type INSTALL C: and press ENTER.
ECHO.
ECHO        Note: Change the A: to B: if your drive is different.
ECHO              Change the C: to any other hard drive letter if you wish.
ECHO.
PAUSE
GOTO End

:GoodEnd
CLS
ECHO Several example HTML files are in the \WEBAP\EXAMPLES directory
ECHO Please load these file in your favorite Web Browser for review.
ECHO You can load the equivalent "*.APF" file into WebANSI Publisher
ECHO and see how the HTML Tags were used.
ECHO.
ECHO An HTMLized version of the documentation (Including Screen Shots)
ECHO is located in the \WEBAP\DOCS directory. Load the WEBAPDOC.HTM
ECHO file into the Web Browser.
ECHO.
ECHO.
ECHO Thank you for your interest in WebANSI Publisher.
ECHO.
ECHO Please refer to the ORDER.TXT for information about purchasing
ECHO WebANSI Publisher 1.0 or visit http://gwas.com/webap/index.html.
ECHO.
PAUSE
GOTO End

:End
CLS

